# $Id: Minimal.pm,v 1.3 2001/02/17 20:04:22 jfontain Exp $

package Minimal;

use strict;
use warnings;

BEGIN {
    our $VERSION = qw($Revision: 1.3 $)[1];
}

our %data;
our @data;

$data{updates} = 0;
$data{columns}[0]{label} = 'column';
$data{columns}[0]{type} = 'ascii';
$data{columns}[0]{message} = 'column title';
$data{pollTimes} = [5, 10, 20, 30, 60];
$data{sort} = {0 => 'increasing'};
$data{helpText} = 'This is a minimal demonstration module for moodss.';

sub update() {
    $data[0][0] = 'data';
    $data{updates}++;
}

END {}

1;
